Bug 1274076 - SPICE: several second delay in typing in VM using spice console
SPICE: several second delay in typing in VM using spice console
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhevm-spice-client (Show other bugs)
unspecified
x86_64 Windows
unspecified Severity high
: ovirt-4.0.0-alpha
: 4.0.0
Assigned To: Default Assignee for SPICE Bugs
SPICE QE bug list
spice
:
Depends On: 1278586
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 16:31 EDT by Jake Hunsaker
Modified: 2016-02-10 14:20 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-07 08:06:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Spice
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jake Hunsaker 2015-10-21 16:31:26 EDT
Description of problem:

Customer is reporting a 2-3 second delay from typing to input being reflected in Windows 2008R2 VMs.

Version-Release number of selected component (if applicable):
vdsm-4.16.13.1-1.el7ev.x86_64

qemu-kvm version: 
qemu-kvm-rhev-2.1.2-23.el7_1.3.x86_64
qemu-kvm-tools-rhev-2.1.2-23.el7_1.3.x86_64
qemu-kvm-common-rhev-2.1.2-23.el7_1.3.x86_64

spice-server version:
spice-server-0.12.4-9.el7.x86_64

Guest Os:
Win2k8 R2
QXL version: 6.1.0.10020
RHEV tools v. 3.5-9

How reproducible: Customer reports nearly 50 Windows 2008R2 VMs show this across his environment, and will reproduce easily. I have not been able to reproduce this myself.


Steps to Reproduce:
1. Launch Win2008R2 guest using above packages in environment
2.
3.

Actual results:

Keyboard input is delayed by 2-3 seconds

Expected results:

Should be no or very little lag

Additional info:

Customer reports that using VNC only slightly alleviates the problem.
Comment 3 David Blechter 2015-10-22 07:38:47 EDT
(In reply to Jake Hunsaker from comment #0)
> Description of problem:
> 
> Customer is reporting a 2-3 second delay from typing to input being
> reflected in Windows 2008R2 VMs.
> 
> Version-Release number of selected component (if applicable):
> vdsm-4.16.13.1-1.el7ev.x86_64
> 
> qemu-kvm version: 
> qemu-kvm-rhev-2.1.2-23.el7_1.3.x86_64
> qemu-kvm-tools-rhev-2.1.2-23.el7_1.3.x86_64
> qemu-kvm-common-rhev-2.1.2-23.el7_1.3.x86_64
> 
> spice-server version:
> spice-server-0.12.4-9.el7.x86_64
> 
> Guest Os:
> Win2k8 R2
> QXL version: 6.1.0.10020
> RHEV tools v. 3.5-9
> 
> How reproducible: Customer reports nearly 50 Windows 2008R2 VMs show this
> across his environment, and will reproduce easily. I have not been able to
> reproduce this myself.

we need all the details. What is the different in your and custom environment. 

> 
> 
> Steps to Reproduce:
> 1. Launch Win2008R2 guest using above packages in environment
> 2.
> 3.
> 
> Actual results:
> 
> Keyboard input is delayed by 2-3 seconds
> 
> Expected results:
> 
> Should be no or very little lag
> 
> Additional info:
> 
> Customer reports that using VNC only slightly alleviates the problem.

Also, please update the BZ with the following information from the customer:
1. The spice client version and OS
2. Network parameters: LAN/WAN BW/latency
Comment 10 David Blechter 2015-11-23 08:59:08 EST
1278586 is in NEW for rhel 7.3, moving to rhevm 4.0

Note You need to log in before you can comment on or make changes to this bug.